Documentation
¶
Index ¶
- Constants
- type DeleteRole
- type DeleteRoleDefault
- type DeleteRoleHandler
- type DeleteRoleHandlerFunc
- type DeleteRoleOK
- type DeleteRoleParams
- type DeleteRoleURL
- func (o *DeleteRoleURL) Build() (*url.URL, error)
- func (o *DeleteRoleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *DeleteRoleURL) Must(u *url.URL, err error) *url.URL
- func (o *DeleteRoleURL) SetBasePath(bp string)
- func (o *DeleteRoleURL) String() string
- func (o *DeleteRoleURL) StringFull(scheme, host string) string
- func (o *DeleteRoleURL) WithBasePath(bp string) *DeleteRoleURL
Constants ¶
const DeleteRoleOKCode int = 200
DeleteRoleOKCode is the HTTP code returned for type DeleteRoleOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type DeleteRole ¶
type DeleteRole struct {
Context *middleware.Context
Handler DeleteRoleHandler
}
DeleteRole swagger:route DELETE /examples example deleteRole
delete example
delete example
func NewDeleteRole ¶
func NewDeleteRole(ctx *middleware.Context, handler DeleteRoleHandler) *DeleteRole
NewDeleteRole creates a new http.Handler for the delete role operation
func (*DeleteRole) ServeHTTP ¶
func (o *DeleteRole) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type DeleteRoleDefault ¶
type DeleteRoleDefault struct {
// contains filtered or unexported fields
}
DeleteRoleDefault successful operation
swagger:response deleteRoleDefault
func NewDeleteRoleDefault ¶
func NewDeleteRoleDefault(code int) *DeleteRoleDefault
NewDeleteRoleDefault creates DeleteRoleDefault with default headers values
func (*DeleteRoleDefault) SetStatusCode ¶
func (o *DeleteRoleDefault) SetStatusCode(code int)
SetStatusCode sets the status to the delete role default response
func (*DeleteRoleDefault) WithStatusCode ¶
func (o *DeleteRoleDefault) WithStatusCode(code int) *DeleteRoleDefault
WithStatusCode adds the status to the delete role default response
func (*DeleteRoleDefault) WriteResponse ¶
func (o *DeleteRoleDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteRoleHandler ¶
type DeleteRoleHandler interface {
Handle(DeleteRoleParams, *models.Principal) middleware.Responder
}
DeleteRoleHandler interface for that can handle valid delete role params
type DeleteRoleHandlerFunc ¶
type DeleteRoleHandlerFunc func(DeleteRoleParams, *models.Principal) middleware.Responder
DeleteRoleHandlerFunc turns a function with the right signature into a delete role handler
func (DeleteRoleHandlerFunc) Handle ¶
func (fn DeleteRoleHandlerFunc) Handle(params DeleteRoleParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type DeleteRoleOK ¶
type DeleteRoleOK struct {
}
DeleteRoleOK OK
swagger:response deleteRoleOK
func NewDeleteRoleOK ¶
func NewDeleteRoleOK() *DeleteRoleOK
NewDeleteRoleOK creates DeleteRoleOK with default headers values
func (*DeleteRoleOK) WriteResponse ¶
func (o *DeleteRoleOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteRoleParams ¶
type DeleteRoleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*example id
Required: true
In: query
*/
ExampleID string
}
DeleteRoleParams contains all the bound params for the delete role operation typically these are obtained from a http.Request
swagger:parameters deleteRole
func NewDeleteRoleParams ¶
func NewDeleteRoleParams() DeleteRoleParams
NewDeleteRoleParams creates a new DeleteRoleParams object no default values defined in spec.
func (*DeleteRoleParams) BindRequest ¶
func (o *DeleteRoleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewDeleteRoleParams() beforehand.
type DeleteRoleURL ¶
type DeleteRoleURL struct {
ExampleID string
// contains filtered or unexported fields
}
DeleteRoleURL generates an URL for the delete role operation
func (*DeleteRoleURL) Build ¶
func (o *DeleteRoleURL) Build() (*url.URL, error)
Build a url path and query string
func (*DeleteRoleURL) BuildFull ¶
func (o *DeleteRoleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*DeleteRoleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*DeleteRoleURL) SetBasePath ¶
func (o *DeleteRoleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*DeleteRoleURL) String ¶
func (o *DeleteRoleURL) String() string
String returns the string representation of the path with query string
func (*DeleteRoleURL) StringFull ¶
func (o *DeleteRoleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*DeleteRoleURL) WithBasePath ¶
func (o *DeleteRoleURL) WithBasePath(bp string) *DeleteRoleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string